/* This file is part of Poddie.

	Poddie is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Poddie is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Poddie.  If not, see <http://www.gnu.org/licenses/>. */

#ifndef header_poddieapplication
#define header_poddieapplication

#if _MSC_VER > 1000
#pragma once
#endif

#include "precomp.h"
#include "input/keyboard.h"
#include "world.h"

class Application : public CL_ClanApplication {
//!Operations:
public:
	//: Main function for the application.
	virtual int main(int argc, char **argv);
	void check_config(ConfigFile&);

//!Implementation:
private:
};

#endif
